net.sf.jasperreports.export

## Class SimpleOutputStreamExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.SimpleOutputStreamExporterOutput

- All Implemented Interfaces:
    ExporterOutput, OutputStreamExporterOutput

      public class SimpleOutputStreamExporterOutput
      extends java.lang.Object
      implements OutputStreamExporterOutput

  Version:
    $Id: SimpleOutputStreamExporterOutput.java 6800 2014-01-07 18:42:32Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleOutputStreamExporterOutput(java.io.File file)` Creates a `OutputStreamExporterOutput` instance that puts the result into the provided `java.io.File` object.
    `SimpleOutputStreamExporterOutput(java.io.OutputStream outputStream)` Creates a `OutputStreamExporterOutput` instance that puts the result into provided `java.io.OutputStream` object.
    `SimpleOutputStreamExporterOutput(java.lang.String fileName)` Creates a `OutputStreamExporterOutput` instance that puts the result into the file designated by the provided file name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.io.OutputStream` | `getOutputStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleOutputStreamExporterOutput

          public SimpleOutputStreamExporterOutput(java.io.OutputStream outputStream)

      Creates a `OutputStreamExporterOutput` instance that puts the result into provided `java.io.OutputStream` object. This is useful for sending the export result to an output stream, such as a `ServletOutputStream`.

    - #### SimpleOutputStreamExporterOutput

          public SimpleOutputStreamExporterOutput(java.io.File file)

      Creates a `OutputStreamExporterOutput` instance that puts the result into the provided `java.io.File` object. This is useful when exporting to a file and the `File` instance is already there.

    - #### SimpleOutputStreamExporterOutput

          public SimpleOutputStreamExporterOutput(java.lang.String fileName)

      Creates a `OutputStreamExporterOutput` instance that puts the result into the file designated by the provided file name. This is an alternative to the `SimpleOutputStreamExporterOutput(File)`.

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `OutputStreamExporterOutput`

    - #### close

          public void close()

      Specified by:
        `close` in interface `OutputStreamExporterOutput`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com